#!/usr/bin/env python
# -*- coding: utf-8 -*-
# nautilus-pastebin - Nautilus extension to paste a file to a pastebin service
# Written by:
#    Alessio Treglia <quadrispro@ubuntu.com>
# Copyright (C) 2009, Alessio Treglia
#
# This package is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this package; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#

from distutils.core import setup
from DistUtilsExtra.command import *

setup(name='nautilus-pastebin',
    version='0.1.1',
    platforms=['all'],
    author='Alessio Treglia',
    author_email='quadrispro@ubuntu.com',
    license='GPL-2',
    url='https://launchpad.net/nautilus-pastebin',
    description='Nautilus extension to send files to a pastebin',
    long_description="""nautilus-pastebin is a Nautilus extension written in Python, which allows users to upload text-only files to a pastebin service just by right-clicking on them. Users can also add their favorite service just by editing the configuration file.""",
    data_files=[('lib/nautilus/extensions-2.0/python/', ['scripts/nautilus-pastebin.py']),
                ('/etc/',['data/nautilus-pastebin.conf']),
                ('share/icons/',['data/nautilus-pastebin.png']),
                ('share/nautilus-pastebin/', ['data/nautilus-pastebin-notification'])],
    cmdclass = { "build" : build_extra.build_extra,
        "build_i18n" :  build_i18n.build_i18n,
        "build_icons" :  build_icons.build_icons,
        "clean": clean_i18n.clean_i18n,
        }
    )

